// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version.

#ifndef ESCWYP_KLAVIER_EXTERN_H
#define ESCWYP_KLAVIER_EXTERN_H
#include "Evas.h"

extern enum {klavier_max_freq_array_size = 132};
extern const float octave_freqs[12];
extern const float freqs_by_index[klavier_max_freq_array_size];

int klavierInitGui();
void klavier_init_keygrabs();
void init_freqs();
void klavierGuiPostbox(Evas_Object **obj_arr);
float klavierGetMaxFreq();
int klavierGetMaxFreqIndex();
float klavierGetMinFreq();
int klavierGetMinFreqIndex();
int klavierGetIgnoreMode();
#endif
