// Copyright 2015, Jean Rene Dawin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 2 of the License, or
// (at your option) any later version. See License-GPL-2.txt.

#ifndef ESCWYP_SPRATZ_GUI_ELM_EXTERN_H
#define ESCWYP_SPRATZ_GUI_ELM_EXTERN_H
#include <Evas.h>

extern Evas_Object *spratz_base_box; 
//extern Eina_List *spratz_widgets;

void spratzInitGuiElm(int hidden);
void spratzPackGui(Evas_Object *box);
void spratzUnpackGui(Evas_Object *box);

void spratz_y_fact_slider_set(float value);
void spratz_x_fact_slider_set(float value);
void spratz_depth_slider_set(float value);
void spratz_samplerate_slider_set(float value);
void spratz_gui_set_self_control(const int value);
#endif
