// Copyright 2014-2015, Jean Rene Dawin
//
// This Library is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 2.1 of the License, or
// (at your option) any later version.
//
// This Library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this Library.  If not, see <http://www.gnu.org/licenses/>.

#ifndef ESCWYP_SPRATZ_PARAMS_H
#define ESCWYP_SPRATZ_PARAMS_H

struct spratz_params{

    float the_points[4];
    float the_offsets[2];
    float y_height;
    float sample_rate;
    float sample_width;
    int intpoling;
    int point_diff;
    int ipolj;
    int pointi;
    int degraded;

};

#endif

