#ifndef LIBSAMPLOT_H
#define LIBSAMPLOT_H

int samplot_close_file(const void *sndfile);
int samplot_append_to_file(float *buff, const int num, const void *sndfile);
// buff  = the buffer with floats that are written to file named >name<
// num   = the number of floats in >buff<
// name  = the path without file extension e.g. "/tmp/soundfiles/trumpet"
// type  = the file extension/type e.g "wav"
// srate = the sample rate to use e.g. 48000
// sndfile = void pointer, where the SNDFILE pointer will be stored for the caller for later use
int samplot_write_to_file(float *buff, const int num, char *name, char *type, const int srate, void **sndfile);

#endif
